local objeto = createObject(980, 833.93121337891, -2078.1303710938, 14.750387191772,0,0,0)
----- 980, X, Y, Z, rotX, rotY, rotZ

colision = {}

GRUPO = "FBI" --- Nome da ACL que irá ter a permissão de abrir / fechar o portão

colision["pos1"] = {827.78472900391,-2083.1201171875,16.97699546814} --- Posição de cima -- Não esqueça de alterar a coordenada de cima (Z)
colision["pos2"] = {840.11651611328,-2072.623046875,10.97699546814} --- Posição de baixo -- Não esqueça de alterar a coordenada de  baixo (Z)


function abrirPortao(source)
	for _, player in ipairs (getElementsByType("player")) do
	local conta = getAccountName(getPlayerAccount(player))
		if isObjectInACLGroup("user."..conta, aclGetGroup(GRUPO)) then
			abrir = moveObject(objeto, 500, 823.93121337891, -2078.1303710938, 14.750387191772) --- Coordenada do portão aberto!, só alterar para o seu .
		end
	end
end
function fecharPortao(source)
	for _, player in ipairs (getElementsByType("player")) do
	local conta = getAccountName(getPlayerAccount(player)) 
		if isObjectInACLGroup("user."..conta, aclGetGroup(GRUPO)) then
			abrir = moveObject(objeto, 500, 833.93121337891, -2078.1303710938, 14.750387191772) --- Coordenada do portão fechado!, só alterar para o seu .
		end
	end
end

function carregarColisao ()
	local lx, ly, wx, wx, wx
	if (colision["pos1"][1] > colision["pos2"][1]) then
		colision["maxx"] = colision["pos1"][1] 
		colision["minx"] = colision["pos2"][1]
	else	
		colision["maxx"] = colision["pos2"][1]
		colision["minx"] = colision["pos1"][1]
	end
	if (colision["pos1"][2] > colision["pos2"][2]) then
		colision["maxy"] = colision["pos1"][2]
		colision["miny"] = colision["pos2"][2]
		else
		colision["maxy"] = colision["pos2"][2]
		colision["miny"] = colision["pos1"][2]
	end
	if (colision["pos1"][3] > colision["pos2"][3]) then
		colision["maxz"] = colision["pos1"][3]
		colision["minz"] = colision["pos2"][3]
	else
		colision["maxz"] = colision["pos2"][3]
		colision["minz"] = colision["pos1"][3]
	end
end

function criarColisao()
	lx = colision["minx"]
	wx = colision["maxx"] - colision["minx"]
	ly = colision["miny"] 
	wy = colision["maxy"] - colision["miny"]
	lz = colision["minz"]
	wz = colision["maxz"] - colision["minz"]
	
	colisao = createColCuboid(lx, ly, lz, wx, wy, wz)
	if colisao then
		addEventHandler("onColShapeHit", colisao, abrirPortao)
		addEventHandler("onColShapeLeave", colisao, fecharPortao)
	end
end

carregarColisao()
criarColisao()

function parar ()
	destroyElement(colisao)
	destroyElement(objeto)
end
addEventHandler("onResourceStop", getResourceRootElement(getThisResource()), parar )